#!/bin/sh

# ran as user. $1 = chroot

CHROOT=$1

if [ x$2 != x ]; then
	DA_USER=$2
else
	DA_USER=$USER
fi

passwd=`getent passwd $DA_USER`
group=`getent group $(id -g $DA_USER)`

if [ x$CHROOT = x ] || [ ! -d $CHROOT ]; then
	echo "usage: $0 /path/to/choot"
	exit 1
fi

if [ ! -w $CHROOT/etc/passwd ] ||
   [ ! -w $CHROOT/etc/group ] ||
   [ ! -w $CHROOT/etc/resolv.conf ]; then
	echo "WARNING: cannot update $CHROOT/etc{group,passwd,resolv.conf}"
	exit 0
fi

# XXX: force shell to BASH

if ! grep -q ^$USER: $CHROOT/etc/passwd; then
	echo $passwd >> $CHROOT/etc/passwd
fi

if ! grep -q ^$group $CHROOT/etc/group; then
	echo $group >> $CHROOT/etc/group
fi

# XXX: this works in 95% of cases.
cp -f /etc/resolv.conf $CHROOT/etc/resolv.conf
